Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 419385

Summary: dev-util/systemtap-1.7 fails to build: using a Makefile.in.in from gettext version 0.17 but the autoconf macros are from gettext version 0.18
Product: Gentoo Linux Reporter: Dennis Schridde <dschridde+gentoobugs>
Component: [OLD] DevelopmentAssignee: Sven Wegener <swegener>
Status: RESOLVED DUPLICATE    
Severity: normal CC: patrick, vivo75, zeekec
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log
systemtap-1.7-gettext.patch

Description Dennis Schridde 2012-06-02 17:33:54 UTC
make[2]: Entering directory `/var/tmp/portage/dev-util/systemtap-1.7/work/systemtap-1.7/po'
test ! -f ./systemtap.pot || \
  test -z "en.gmo pl.gmo fr.gmo" || make en.gmo pl.gmo fr.gmo
*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version 0.17 but the autoconf macros are from gettext version 0.18
make[2]: *** [check-macro-version] Error 1
make[2]: *** Waiting for unfinished jobs....

Reproducible: Always
Comment 1 Dennis Schridde 2012-06-02 17:34:14 UTC
Created attachment 313945 [details]
build.log
Comment 2 Dennis Schridde 2012-06-02 17:34:58 UTC
Portage 2.2.0_alpha109 (hardened/linux/ia64/server, gcc-4.5.3, glibc-2.14.1-r3, 2.6.27-openvz-repin.1 ia64)
=================================================================
System uname: Linux-2.6.27-openvz-repin.1-ia64-31-with-gentoo-2.0.3
Timestamp of tree: Sat, 02 Jun 2012 15:45:01 +0000
app-shells/bash:          4.2_p20
dev-lang/python:          2.7.3-r1, 3.2.3-r1
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo local
Installed sets: @system
ACCEPT_KEYWORDS="ia64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="ia64-unknown-linux-gnu"
CFLAGS="-pipe -mtune=mckinley -O2"
CHOST="ia64-unknown-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-pipe -mtune=mckinley -O2"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--usepkg --buildpkg --binpkg-respect-use --with-bdeps y --keep-going"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parallel-install parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--hash-style=gnu"
MAKEOPTS="-j3"
PKGDIR="/var/cache/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS=" 	--delete-excluded 	--exclude='/games*/' --exclude='/gnome*/' --exclude='/gnustep*/' --exclude='/gpe*/' --exclude='/kde*/' --exclude='/lxde*/' --exclude='/rox*/' --exclude='/xfce*/'"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/cache/portage/gentoo"
PORTDIR_OVERLAY="/var/cache/portage/local"
[...]
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 3 Wormo (RETIRED) gentoo-dev 2012-06-03 00:05:40 UTC
Thanks for the report, assigning to systemtap ebuild maintainer
Comment 4 Patrick Lauer gentoo-dev 2012-07-10 05:21:10 UTC
sed -i -e 's/GETTEXT_MACRO_VERSION = 0.17/GETTEXT_MACRO_VERSION = 0.18/' po/Makefile.in.in

^^ adding this to src_prepare makes the error go away. Not sure if it's a correft fix.
Comment 5 Patrick Lauer gentoo-dev 2012-07-10 05:39:41 UTC
nope, that didn't actually work. It gets changed in during configure time, and I can't figure out that arcane magic.

in src_configure after econf:

sed -i -e 's/GETTEXT_MACRO_VERSION = 0.17/GETTEXT_MACRO_VERSION = 0.18/' po/Makefile || die "Failed to change gettext version"

makes it install, looks good, not sure if this is a valid fix :)
Comment 6 frankol 2012-07-13 20:13:07 UTC
Created attachment 318104 [details, diff]
systemtap-1.7-gettext.patch

Commenting AM_GNU_GETTEXT_VERSION(0.17) in configure.ac makes it compile fine on amd64.

See attached patch.
Comment 7 SpanKY gentoo-dev 2012-09-04 20:11:37 UTC

*** This bug has been marked as a duplicate of bug 417639 ***